Last Comment Bug 797266 - Icons on New Event and New Task buttons don't get the "disabled" look with Aero theme
: Icons on New Event and New Task buttons don't get the "disabled" look with Ae...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Calendar Views (show other bugs)
: Lightning 1.7
: All Windows 7
: -- trivial (vote)
: 2.1
Assigned To: Decathlon
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 23:03 PDT by Decathlon
Modified: 2012-10-27 07:38 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (840 bytes, patch)
2012-10-02 23:08 PDT, Decathlon
richard.marti: review+
Details | Diff | Review

Description Decathlon 2012-10-02 23:03:11 PDT
It happens for the button "New Task" in task view and for "New Event" in the today pane on Windows with Aero theme.

Steps to reproduce:
set all the calendars in read only mode

the mentioned buttons get disabled and the labels text get the grayed out look, but the icons don't change.
Comment 1 Decathlon 2012-10-02 23:08:06 PDT
Created attachment 667335 [details] [diff] [review]
patch

The patch fixes.
I've also tried to assign the class "toolbarbutton1 calbar-toolbarbutton-1" (the same of the buttons in the toolbar) instead of assign directly the opacity. It works but the text in New task button gets a wrong position.
Comment 2 Richard Marti (:Paenglab) 2012-10-04 09:09:06 PDT
Comment on attachment 667335 [details] [diff] [review]
patch

Good catch, I haven't know this buttons can have a disabled state.

This looks good. Thanks for this patch.
Comment 3 Richard Marti (:Paenglab) 2012-10-27 07:38:21 PDT
Pushed to comm-central: http://hg.mozilla.org/comm-central/rev/5de93391819b

Note You need to log in before you can comment on or make changes to this bug.